#include <stdio.h>
#include <stdlib.h>
#include "sisThickMaps.h"

void main(int argc, void* argv[]) {
    struct dblAndInt thicknessAndExtrapCount;
    double thickness;
    int extrapCount;
    char* stackLocation = "T8B";
    float x, y;

    if (argc != 4) {
	fprintf(stderr, "Usage: st stackDetectorID x y\n");
	exit(0);
    }

    stackLocation = (char*) argv[1];
    x = atof((char*) argv[2]);
    y = atof((char*) argv[3]);

    thicknessAndExtrapCount = getSisThickness(stackLocation, x, y);
    thickness = thicknessAndExtrapCount.dbl;
    extrapCount = thicknessAndExtrapCount.i;

    printf("thickness = %f, extrapCount = %d\n", thickness, extrapCount);
}
